---
- hosts: app
  become: true
  tasks:
    - docker_compose:
        pull: yes
        project_name: socialnetwork
        definition:
          version: '3.3'
          services:
            web:
              image: "registry.gitlab.com/smotrova-otus/ls-social-network/socialnetwork:{{hw}}"
              restart: always
              ports:
                - "8080:8080"
              environment:
                DATABASE_HOST: "{{ groups['db_master'] | first }}"
                DATABASE_PORT: "3306"
                DATABASE_NAME: "{{ database.name }}"
                DATABASE_USER: "{{ database.user }}"
                DATABASE_PASSWORD: "{{ database.password }}"
                DATABASE_MASTER_HOST: "{{ groups['db_master'] | first }}"
                DATABASE_MASTER_PORT: "3306"
                DATABASE_MASTER_NAME: "{{ database.name }}"
                DATABASE_MASTER_USER: "{{ database.user }}"
                DATABASE_MASTER_PASSWORD: "{{ database.password }}"
                DATABASE_SLAVE_HOST: "{{ groups['db_slave'] | first }}"
                DATABASE_SLAVE_PORT: "3306"
                DATABASE_SLAVE_NAME: "{{ database.name }}"
                DATABASE_SLAVE_USER: "{{ database.user }}"
                DATABASE_SLAVE_PASSWORD: "{{ database.password }}"
                AUTH_TTL: "720h"
